ruby2.6-rubygem-rest-client-testsuite-2.0.2-1.11.i586.rpm


Advertisement

Description

ruby2.6-rubygem-rest-client-testsuite - Test suite for rest-client

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename ruby2.6-rubygem-rest-client-testsuite-2.0.2-1.11.i586.rpm
Package name ruby2.6-rubygem-rest-client-testsuite
Package version 2.0.2
Package release 1.11
Package architecture i586
Package type rpm
Category Development/Languages/Ruby
Homepage https://github.com/rest-client/rest-client
License MIT
Maintainer -
Download size 117.21 KB
Installed size 197.24 KB
Test::Unit or RSpec files, useful for developers.

Alternatives

Package Version Architecture Repository
ruby2.6-rubygem-rest-client-testsuite-2.0.2-1.11.x86_64.rpm 2.0.2 x86_64 openSUSE Oss
ruby2.6-rubygem-rest-client-testsuite - - -

Requires

Name Value
ruby2.6-rubygem-rest-client = 2.0.2

Provides

Name Value
ruby2.6-rubygem-rest-client-testsuite = 2.0.2-1.11
ruby2.6-rubygem-rest-client-testsuite(x86-32) = 2.0.2-1.11

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ruby2.6-rubygem-rest-client-testsuite-2.0.2-1.11.i586.rpm
Source Package rubygem-rest-client-2.0.2-1.11.src.rpm

Install Howto

Install ruby2.6-rubygem-rest-client-testsuite rpm package:

# zypper install ruby2.6-rubygem-rest-client-testsuite

Files

Path
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/helpers.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/spec_helper.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/_lib.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/httpbin_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/integration_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/request_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/capath_digicert/244b5494.0
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/capath_digicert/81b9768f.0
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/capath_digicert/README
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/capath_digicert/digicert.crt
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/capath_verisign/415660c1.0
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/capath_verisign/7651b327.0
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/capath_verisign/README
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/capath_verisign/verisign.crt
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/certs/digicert.crt
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/integration/certs/verisign.crt
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/_lib.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/abstract_response_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/exceptions_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/master_shake.jpg
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/params_array_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/payload_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/raw_response_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/request2_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/request_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/resource_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/response_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/restclient_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/utils_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/rest-client-2.0.2/spec/unit/windows/root_certs_spec.rb

Changelog

2017-05-23 - coolo@suse.com
- updated to version 2.0.2
see installed history.md
[#] 2.0.2
- Suppress the header override warning introduced in 2.0.1 if the value is the
same. There's no conflict if the value is unchanged. (#578)
2017-02-20 - coolo@suse.com
- updated to version 2.0.1
see installed history.md
[#] 2.0.1
- Warn if auto-generated headers from the payload, such as Content-Type,
override headers set by the user. This is usually not what the user wants to
happen, and can be surprising. (#554)
- Drop the old check for weak default TLS ciphers, and use the built-in Ruby
defaults. Ruby versions from Oct. 2014 onward use sane defaults, so this is
no longer needed. (#573)

See Also

Package Description
ruby2.6-rubygem-restility-0.0.4-8.12.i586.rpm Set of tools for writing REST style web services
ruby2.6-rubygem-restility-0.0.4-8.12.x86_64.rpm Set of tools for writing REST style web services
ruby2.6-rubygem-restility-doc-0.0.4-8.12.i586.rpm RDoc documentation for restility
ruby2.6-rubygem-restility-doc-0.0.4-8.12.x86_64.rpm RDoc documentation for restility
ruby2.6-rubygem-restility-testsuite-0.0.4-8.12.i586.rpm Test suite for restility
ruby2.6-rubygem-restility-testsuite-0.0.4-8.12.x86_64.rpm Test suite for restility
ruby2.6-rubygem-rgen-0.8.2-2.1.i586.rpm Ruby Modelling and Generator Framework
ruby2.6-rubygem-rgen-0.8.2-2.1.x86_64.rpm Ruby Modelling and Generator Framework
ruby2.6-rubygem-rgen-doc-0.8.2-2.1.i586.rpm RDoc documentation for rgen
ruby2.6-rubygem-rgen-doc-0.8.2-2.1.x86_64.rpm RDoc documentation for rgen
ruby2.6-rubygem-rgen-testsuite-0.8.2-2.1.i586.rpm Test suite for rgen
ruby2.6-rubygem-rgen-testsuite-0.8.2-2.1.x86_64.rpm Test suite for rgen
ruby2.6-rubygem-ronn-0.7.3-1.4.i586.rpm Builds manuals
ruby2.6-rubygem-ronn-0.7.3-1.4.x86_64.rpm Builds manuals
ruby2.6-rubygem-ronn-doc-0.7.3-1.4.i586.rpm RDoc documentation for ronn
Advertisement
Advertisement